/** \file border_data.hh
    \brief File to manage value associated to each dart. Generally associated to the corresponding boundary */

#ifndef __BORDER_DATA_HH__
#define __BORDER_DATA_HH__

#include "combi_map_base.hh"

/** model class to store a value associated to each dart. Generally associated to the corresponding boundary*/
class border_data
{
public:
  /// A pur virtual function to initialize the border_value of the dart
  virtual void init(combi_map_base &,dart)=0;
  /// A pure virtual function to manage the border_value during the merge of two dart
  virtual void merge(int,dart,dart,dart)=0;
};



#endif // __BORDER_DATA_HH__
