/** \file equivalent_uniform.hh
    \brief File used to determine if two vertices are equivalent */

#ifndef __EQUIVALENT_UNIFORM_HH__
#define __EQUIVALENT_UNIFORM_HH__

#include "equivalent_union_find.hh"
#include "vertex_data_color.hh"

/** Model class used to determine if two vertices are equivalent */
class equivalent_uniform: public equivalent_union_find
{
public:
  /// Constructor
  equivalent_uniform(const vertex_data_color &v):equivalent_union_find(v)
  {}
  /// Function to know if the two vertices must be merged
  bool lambda(int,vertex,vertex,dart,dart);
};

#endif // __EQUIVALENT_UNIFORM_HH__
