#include <iostream>
#include <format_ppm.hh>
#include <format_pgm.hh>
#include <image.hh>


#include "pyramid.hh"
#include "combinatorial_map.hh"

ppm_format format_ppm(0);
pgm_format format_pgm(1);

int main(int argc,char* argv[])
{
  int level(atoi(argv[1]));
  pyramid   P(argv[2]);
  image img(argv[3]);
  combinatorial_map map;

  P.give_combinatorial_map(level,map);
  image res(img);//(3,img.Width()+1,img.Height()+1);
  unsigned char C[3]={0,255,0};
  map.draw_border(res,C);
  cout << res;
}
