/** \file vertex_data.hh
    \brief File to store data into vertices */

#ifndef __VERTEX_DATA_HH__
#define __VERTEX_DATA_HH__

#include <tab_sym_bool.hh>
#include "combi_map_base.hh"

/** Model class to store data into vertices **/
class vertex_data
{
public:
  /// Function to initialize the vertex_value of the vertex
  virtual void init(combi_map_base &,vertex)=0;
  /// Function to manage the vertex_value during the merge of two vertices
  virtual void merge(int,vertex,vertex)=0;
};



#endif // __VERTEX_DATA_HH__
