#include "combinatorial_map.hh"

typedef enum {draw_single,draw_all} draw_type;

/// Function that export the combinatorial map into the descartes map format
void export_to_descartes(combinatorial_map&,char*,draw_type type=draw_single);

/// Function that export the combinatorial map into the Lachaud format
void export_to_bitmap(combinatorial_map&,vertex,char*);

/// Function that export the combinatorial map into the Lachaud format
void export_to_lachaud(combinatorial_map&,vertex,char*);

/// Function that export the lachaud format to an image
void lachaud_to_image(char*,char*);
