#include "kernel.hh"


void kernel::init(int lev)
{
  level=lev;
  nb_contracted=0;
}
bool kernel::is_marked(dart d)
{
  return contracted(d);
}
int kernel::cardinal()
{
  return nb_contracted;
}
void kernel::contract_edge(dart d,dart md)
{
  contracted.light(d);
  //  contracted.light(md);
  nb_contracted++;;
}
vertex kernel::father(vertex v)
{
  return Father(v);
}
vertex kernel::find_compress(vertex v)
{
  vertex f=Father(v);
  if( f!=v )
  {
    f = find_compress(f);
    Father[v] = f;
  }
  return f;
}
void kernel::set_father(combi_map_priv& map)
{
  vertex v;
  vertex_iterator end(map.vertex_set.end());
  for (vertex_iterator v_iter=map.vertex_set.first();
       v_iter<end;
       v_iter++)
    {
      v=(*v_iter);
      Father[v]=v;
    }
}
