#include "moments.hh"

using namespace std;
int moments::dim;
void moments::set_dim(int Dim)
{
  moments::dim=Dim;
}
moments::moments(image::iterator &it)
{
  M0=1;
  for(int i=0;i<dim;i++)
    M1[i]=it[i];
}
void moments::merge(moments& m)
{
  M0+=m.M0;
  for(int i=0;i<dim;i++)
    M1[i]+=m.M1[i];
}
void moments::mean(double *m)
{
  for(int i=0;i<3;i++)
    m[i]=((double)M1[i])/M0;
}
double moments::mean(int i)
{
  return ((double)M1[i])/M0;
}
